# Sync Your Catalog with external ecomm platforms

The `catalog.send` method in the Cataloglake library facilitates the integration and syncing of catalog data with external e-commerce platforms like Shopify. This method allows you to push catalog updates, such as product information, prices, or inventory, seamlessly.

```python
paylaod = {
  "shopify_store_name": "cartesian-sample-test",
 "shopify_access_token": "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",
 "groc_item_id": ["3548221525"]
}
catalog_send = catalog.send(paylaod)
print("catalog_send----", catalog_send)
```

Example App Code&#x20;

```python
paylaod = {
 "shopify_store_name": "cartesian-sample-test",
 "shopify_access_token": "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",
 "groc_item_id": ["3548221525"]
}
catalog_send = catalog.send(paylaod)
print("catalog_send----", catalog_send)


#RESPONSE FOR PRICE UPDATE
#
# {
#     "api_action_status": "success",
#     "shopify_product_id": [
#         "gid://shopify/Product/7340319801434"
#     ]
# }
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.groclake.ai/lakes/index-stores/cataloglake/sync-your-catalog-with-external-ecomm-platforms.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
